{
  pkgs,
  hyprland,
  hyprland-plugins,
  ...
}:
{
  environment.sessionVariables.NIXOS_OZONE_WL = "1";
  environment.variables = {
    TERM = "xterm-256color";
  };

  security.pam.services.login.enableGnomeKeyring = true;
  services.gnome.gnome-keyring.enable = true;

  programs.hyprland = {
    enable = true;
    xwayland.enable = true;
    package = hyprland.packages.${pkgs.stdenv.hostPlatform.system}.hyprland;
  };

  environment.systemPackages = with pkgs; [
    # Authentification agent
    polkit_gnome
    (writeShellScriptBin "polkit-agent" ''
      exec ${polkit_gnome}/libexec/polkit-gnome-authentication-agent-1
    '')

    # Lock screen
    hyprlock

    # Lock screen idle timer
    hypridle

    # Notifications
    swaynotificationcenter

    # Hyprland plugins
    hyprland-plugins.packages.${pkgs.stdenv.hostPlatform.system}.hyprbars

    # Hyprpaper for wallpapers
    hyprpaper

    # Playerctl for media keys
    playerctl

    # network manager applet
    networkmanagerapplet

    # blueman applet
    blueman
  ];

  security.polkit.enable = true;
}
